### org.jfree.layouting.input.xhtml

# Class XhtmlDocument

- `java.lang.Object`
- - `org.jfree.layouting.input.xhtml.XhtmlDocument`

Implemented Interfaces:
  Serializable

`public class XhtmlDocument`
`extends java.lang.Object`
`implements Serializable`

Creation-Date: 03.01.2006, 14:08:39

Author:
  Thomas Morgner

  ## Constructor Summary

  `XhtmlDocument(URL source, byte[] data, Document document)`

  ## Method Summary

  `protected byte[]`

  `getData()`

  `Document`

  `getDocument()`

  `URL`

  `getSource()`

## Constructor Details

### XhtmlDocument

    public XhtmlDocument(URL source,
                         byte[] data,
                         Document document)

## Method Details

### getData

    protected byte[] getData()

### getDocument

    public Document getDocument()

### getSource

    public URL getSource()